Skip to main content
POST
Send Remittance Request Endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for sending a remittance request.

subject
string
required
body
string
required
bank_transaction_id
string
required

Bank transaction ID this email is about

partner_id
string
required

Partner ID to send email to

email_sender_id
string | null

Optional email sender ID to use. If not provided, uses the user's default email sender.

recipient_email
string | null

Optional recipient email to use. If not provided, determines from partner's outreach email.

Response

Successful Response

Cash App outreach log entry.

created_at
string<date-time>
required
modified_at
string<date-time> | null
required
id
string
required
outreach_type
enum<string>
required

The type of outreach (payment_receipt or remittance_request).

Available options:
payment_receipt,
remittance_request
status
enum<string>
required

The current status of the outreach.

Available options:
pending,
sent,
failed,
skipped
skip_reason
string | null
required

The reason the outreach was skipped, if applicable.

bank_transaction_id
string | null
required

The bank transaction this outreach is associated with (used for remittance requests).

payment_id
string | null
required

The payment this outreach is associated with.

partner_id
string
required

The partner this outreach is sent to.

email_id
string | null
required

The email record created for this outreach, if sent.

object
string
required
read-only

String representing the object's type. Objects of the same type share the same value.